<?php
/*
===========================用户控制器
^^^^^^^^^^^^^^^^^^成员
------添加(on_insert)
------修改(on_update)
------删除(on_del)

*/
class cls_tab_hr_job_apply extends cls_base_table
{
	private $obj_db;
	//构造函数
	function __construct()
	{
		global $obj_db;
		parent::__construct();
		$this->obj_db=$obj_db;
	}
	/*添加
	arr_fields:关健字数组
	*/
	function on_save($arr_fields,$str_where="")
	{
		$arr_return=array("err"=>"","id"=>0);
		//保存操作
		if(isset($arr_fields["apply_id"])) unset($arr_fields["apply_id"]);//释放id
		$arr_fields["apply_addtime"]=TIME;
		$arr_return=self::_insert($arr_fields);
		return $arr_return;
	}
	function _insert($arr_fields)
	{
		$arr_return=array("err"=>"","id"=>0);
		if(!isset($arr_fields["apply_user_id"])||intval($arr_fields["apply_user_id"])<1){
			$arr_return["err"]="申请人不能为空！";
			return $arr_return;
		}
		if(!isset($arr_fields["apply_job_id"])||intval($arr_fields["apply_job_id"])<1){
			$arr_return["err"]="申请职位不能为空！";
			return $arr_return;
		}
		$obj_result = $this->obj_db->query("SELECT * FROM ".DB_PRE."hr_job_apply where apply_user_id='".$arr_fields["apply_user_id"]."' and apply_job_id='".$arr_fields["apply_job_id"]."'");
		//查看是否收藏过该职位
		if($obj_rs = $this->obj_db->fetch_array($obj_result))
		{
			$arr_fields_new=array();
			//一天以前的才更新
			$str_date=format_date(TIME,"Y-m-d");
			$lng_time=format_date_int($str_date);
			if($obj_rs["apply_addtime"]<$lng_time){
				$arr_fields_new["apply_addtime"]=TIME;
				$arr_return=parent::on_update(DB_PRE."hr_job_view",$arr_fields_new,"apply_user_id='".$arr_fields["apply_user_id"]."' and apply_job_id='".$arr_fields["apply_job_id"]."'");
			}else{
				$arr_return["err"]="该职位您已经申请过了!";
				return $arr_return;
			}
		}else{
			if(defined("SYS_OPEN_FZ") && SYS_OPEN_FZ=="1"){
				global $obj_ctl_user;
				$arr_fields["apply_fz_id"]=$obj_ctl_user->get_fz_id();
			}
			$arr_return=parent::on_insert(DB_PRE."hr_job_apply",$arr_fields);
		}
		return $arr_return;
	}
	function on_del($arr_id)
	{
		$arr_return=array("err"=>"");
		$str_id=get_arr_id($arr_id);
		if($str_id==""){
			$arr_return["err"]="没有指定要删除的记录！";
			return $arr_return;
		}
		$arr_return=parent::on_del(DB_PRE."hr_job_apply","apply_id in(".$str_id.")");

		return $arr_return;
	}
}
?>
